#pragma once
#include <map>
struct Fish_ChatCFGData
{
	//声音ID
	int mID;
	//声音名字
	std::string mChatInfo;
	//持续时间
	float mDuration;
	//声音ID
	int mSoundID;
};

class Fish_ChatCFG
{
public:
private:
	static std::auto_ptr<Fish_ChatCFG> msSingleton;
public:
	int GetCount();
	const Fish_ChatCFGData* GetData(int ID);
	const std::map<int, Fish_ChatCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_ChatCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_ChatCFGData> mMapData;
};
